Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

List the player reports

GET/api/admin/challenge-reports
Query parameters
statusstring
Allowed:openclosed
scopestring
Allowed:challengeplatform
platformAreastring
Allowed:authchallenges_listchallenge_pagesleaderboardprofile_settingsperformanceannouncementsother
Responses
200

Success

reportsobject[]required
Show properties
Array of object
idstringrequired
scopestringrequired
Show properties
Any of:
string
string
string
string
challengeIdstring | nullrequired
Show properties
Any of:
string
string
null
null
platformAreastring | nullrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
null
null
reporterUserIdstringrequired
statusstringrequired
Show properties
Any of:
string
string
string
string
closeReasonstring | nullrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
null
null
createdAtstring<date-time>required
closedAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
challengeTitlestring | nullrequired
Show properties
Any of:
string
string
null
null
reporterNamestring | nullrequired
Show properties
Any of:
string
string
null
null
reporterUsernamestring | nullrequired
Show properties
Any of:
string
string
null
null
reporterEmailstring | nullrequired
Show properties
Any of:
string
string
null
null
401

Unauthorized

errorstringrequired
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
500

Unhandled server error

errorstringrequired
Try it
Server
Parameters
Request
curl -X GET '/api/admin/challenge-reports' \
  -H 'Accept: application/json'
Response
{
  "reports": [
    {
      "id": "string",
      "scope": "challenge",
      "challengeId": "string",
      "platformArea": "auth",
      "reporterUserId": "string",
      "status": "open",
      "closeReason": "resolved",
      "createdAt": "2019-08-24T14:15:22Z",
      "closedAt": "2019-08-24T14:15:22Z",
      "challengeTitle": "string",
      "reporterName": "string",
      "reporterUsername": "string",
      "reporterEmail": "string"
    }
  ]
}

Was this page helpful?